<?php
class ControllerModuleJamijoaccordion extends Controller {
	private $error = array();

	public function index() {
        //load lang
		$this->load->language('module/jamijoaccordion');

		$this->document->setTitle($this->language->get('heading_title'));
		//
		$this->load->model('setting/setting');
        $this->load->model('catalog/category');
        $this->load->model('extension/module');

        if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
            if (!isset($this->request->get['module_id'])) {
                $this->model_extension_module->addModule('jamijoaccordion', $this->request->post);
            } else {
                $this->model_extension_module->editModule($this->request->get['module_id'], $this->request->post);
            }

            $this->session->data['success'] = $this->language->get('text_success');

            #mijoshop-start
            if (isset($this->request->post['button']) and $this->request->post['button'] == 'save') {
                $route = JRequest::getString('route');
                $module_id = '';
                if (isset($this->request->get['module_id'])) {
                    $module_id = '&module_id=' . $this->request->get['module_id'];
                }
                elseif (MijoShop::get('db')->getDbo()->insertid()) {
                    $module_id = '&module_id=' . MijoShop::get('db')->getDbo()->insertid();
                }
                $this->response->redirect($this->url->link($route, 'token=' . $this->session->data['token'] . $module_id, 'SSL'));
            }
            #mijoshop-end

            $this->response->redirect($this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'));
        }

		$data['heading_title'] = $this->language->get('heading_title');

        #mijoshop-start
        $data['button_savenew'] = $this->language->get('button_savenew');
        $data['button_saveclose'] = $this->language->get('button_saveclose');
        #mijoshop-end

		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');
		$data['text_content_top'] = $this->language->get('text_content_top');
		$data['text_content_bottom'] = $this->language->get('text_content_bottom');
		$data['text_column_left'] = $this->language->get('text_column_left');
		$data['text_column_right'] = $this->language->get('text_column_right');

        $data['entry_name'] = $this->language->get('entry_name');
		$data['entry_layout'] = $this->language->get('entry_layout');
		$data['entry_position'] = $this->language->get('entry_position');
		$data['entry_status'] = $this->language->get('entry_status');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');
		$data['button_add_module'] = $this->language->get('button_add_module');
		$data['button_remove'] = $this->language->get('button_remove');

 		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

        $data['breadcrumbs'] = array();
        $data['breadcrumbs'][] = array(
            'text'      => $this->language->get('text_home'),
            'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => false
        );
        $data['breadcrumbs'][] = array(
            'text'      => $this->language->get('text_module'),
            'href'      => $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );
        $data['breadcrumbs'][] = array(
            'text'      => $this->language->get('heading_title'),
            'href'      => $this->url->link('module/jamijoaccordion', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
        );

        if (!isset($this->request->get['module_id'])) {
            $data['action'] = $this->url->link('module/jamijoaccordion', 'token=' . $this->session->data['token'], 'SSL');
        } else {
            $data['action'] = $this->url->link('module/jamijoaccordion', 'token=' . $this->session->data['token'] . '&module_id=' . $this->request->get['module_id'], 'SSL');
        }

        $data['cancel'] = $this->url->link('extension/module', 'token=' . $this->session->data['token'], 'SSL');

        if (isset($this->request->get['module_id']) && ($this->request->server['REQUEST_METHOD'] != 'POST')) {
            $module_info = $this->model_extension_module->getModule($this->request->get['module_id']);
        }

        if (isset($this->request->post['name'])) {
            $data['name'] = $this->request->post['name'];
        } elseif (!empty($module_info)) {
            $data['name'] = $module_info['name'];
        } else {
            $data['name'] = '';
        }

        if (isset($this->request->post['rate'])) {
            $data['rate'] = $this->request->post['rate'];
        } elseif (!empty($module_info)) {
            $data['rate'] = $module_info['rate'];
        } else {
            $data['rate'] = '';
        }

        if (isset($this->request->post['containerheight'])) {
            $data['containerheight'] = $this->request->post['containerheight'];
        } elseif (!empty($module_info)) {
            $data['containerheight'] = $module_info['containerheight'];
        } else {
            $data['containerheight'] = '';
        }

        if (isset($this->request->post['action_event'])) {
            $data['action_event'] = $this->request->post['action_event'];
        } elseif (!empty($module_info)) {
            $data['action_event'] = $module_info['action_event'];
        } else {
            $data['action_event'] = '';
        }

        $results = $this->model_catalog_category->getCategories(0);
        $data['categories'][] = array('category_id' => 0, 'name' => '- Root Category -');
        foreach ($results as $result) {
            $data['categories'][] = array(
                'category_id' => $result['category_id'],
                'name'        => $result['name']
            );
        }

        if (isset($this->request->post['cat_id'])) {
            $data['cat_id'] = $this->request->post['cat_id'];
        } elseif (!empty($module_info)) {
            $data['cat_id'] = $module_info['cat_id'];
        } else {
            $data['cat_id'] = '';
        }

        if (isset($this->request->post['sort_order'])) {
            $data['sort_order'] = $this->request->post['sort_order'];
        } elseif (!empty($module_info)) {
            $data['sort_order'] = $module_info['sort_order'];
        } else {
            $data['sort_order'] = '';
        }

        if (isset($this->request->post['order_by'])) {
            $data['order_by'] = $this->request->post['order_by'];
        } elseif (!empty($module_info)) {
            $data['order_by'] = $module_info['order_by'];
        } else {
            $data['order_by'] = '';
        }

        if (isset($this->request->post['description_limited'])) {
            $data['description_limited'] = $this->request->post['description_limited'];
        } elseif (!empty($module_info)) {
            $data['description_limited'] = $module_info['description_limited'];
        } else {
            $data['description_limited'] = '';
        }

        if (isset($this->request->post['show_add_to_cart'])) {
            $data['show_add_to_cart'] = $this->request->post['show_add_to_cart'];
        } elseif (!empty($module_info)) {
            $data['show_add_to_cart'] = $module_info['show_add_to_cart'];
        } else {
            $data['show_add_to_cart'] = '';
        }

        if (isset($this->request->post['show_price'])) {
            $data['show_price'] = $this->request->post['show_price'];
        } elseif (!empty($module_info)) {
            $data['show_price'] = $module_info['show_price'];
        } else {
            $data['show_price'] = '';
        }

        if (isset($this->request->post['show_rating'])) {
            $data['show_rating'] = $this->request->post['show_rating'];
        } elseif (!empty($module_info)) {
            $data['show_rating'] = $module_info['show_rating'];
        } else {
            $data['show_rating'] = '';
        }

        if (isset($this->request->post['show_wishlist'])) {
            $data['show_wishlist'] = $this->request->post['show_wishlist'];
        } elseif (!empty($module_info)) {
            $data['show_wishlist'] = $module_info['show_wishlist'];
        } else {
            $data['show_wishlist'] = '';
        }

        if (isset($this->request->post['show_compare'])) {
            $data['show_compare'] = $this->request->post['show_compare'];
        } elseif (!empty($module_info)) {
            $data['show_compare'] = $module_info['show_compare'];
        } else {
            $data['show_compare'] = '';
        }

        if (isset($this->request->post['plimited'])) {
            $data['plimited'] = $this->request->post['plimited'];
        } elseif (!empty($module_info)) {
            $data['plimited'] = $module_info['plimited'];
        } else {
            $data['plimited'] = '';
        }

        if (isset($this->request->post['status'])) {
            $data['status'] = $this->request->post['status'];
        } elseif (!empty($module_info)) {
            $data['status'] = $module_info['status'];
        } else {
            $data['status'] = '';
        }

		$this->load->model('localisation/language');
		$data['languages'] = $this->model_localisation_language->getLanguages();

        $data['header'] = $this->load->controller('common/header');
        $data['column_left'] = $this->load->controller('common/column_left');
        $data['footer'] = $this->load->controller('common/footer');

        $this->response->setOutput($this->load->view('module/jamijoaccordion.tpl', $data));
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'module/jamijoaccordion')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

        if ((utf8_strlen($this->request->post['name']) < 3) || (utf8_strlen($this->request->post['name']) > 64)) {
            $this->error['name'] = $this->language->get('error_name');
        }

        return !$this->error;
	}
}
?>