<?php
// No Permission
defined('_JEXEC') or die ('Restricted access');

class ControllerModuleJamijoslider extends Controller {

    public function index($setting)
    {
        static $module = 0;

		// le styles and scripts
        $document = JFactory::getDocument();
        $document->addStyleSheet(JURI::base().'components/com_mijoshop/opencart/catalog/view/theme/default/stylesheet/owl.carousel.css');
        $document->addStyleSheet(JURI::base().'components/com_mijoshop/opencart/catalog/view/theme/default/stylesheet/owl.theme.css');
        if (file_exists(JPATH_MIJOSHOP_OC.'/catalog/view/theme/' . $this->config->get('config_template') . '/stylesheet/jamijoslider.css')) {
            $document->addStyleSheet(JURI::base().'components/com_mijoshop/opencart/catalog/view/theme/' . $this->config->get('config_template') . '/stylesheet/jamijoslider.css');
        } else {
            $document->addStyleSheet(JURI::base().'components/com_mijoshop/opencart/catalog/view/theme/default/stylesheet/jamijoslider.css');
        }

        $document->addScript(JURI::base().'components/com_mijoshop/opencart/catalog/view/javascript/jamijoslider/owl.carousel.js');
        $document->addScript(JURI::base().'components/com_mijoshop/opencart/catalog/view/javascript/jamijoslider/script.js');

		//settings
        $data['items'] 	            = $setting['items']>0?$setting['items']:5;

        $setting['itemsDesktop'] =  explode(",",$setting['itemsDesktop']);
        if(count($setting['itemsDesktop'])<2 || count($setting['itemsDesktop'])>3){
            $data['itemsDesktop'] = ($setting['itemsDesktop'][0] && $setting['itemsDesktop'][0]>0)?'1199,'.$setting['itemsDesktop'][0]:'false';
        }else{
            $data['itemsDesktop'] = ($setting['itemsDesktop'][1] && $setting['itemsDesktop'][1]>0)?$setting['itemsDesktop'][0].','.$setting['itemsDesktop'][1]:'false';
        }

        $setting['itemsDesktopSmall'] =  explode(",",$setting['itemsDesktopSmall']);
        if(count($setting['itemsDesktopSmall'])<2 || count($setting['itemsDesktopSmall'])>3){
            $data['itemsDesktopSmall'] = ($setting['itemsDesktopSmall'][0] && $setting['itemsDesktopSmall'][0]>0)?'979,'.$setting['itemsDesktopSmall'][0]:'false';
        }else{
            $data['itemsDesktopSmall'] = ($setting['itemsDesktopSmall'][1] && $setting['itemsDesktopSmall'][1]>0)?$setting['itemsDesktopSmall'][0].','.$setting['itemsDesktopSmall'][1]:'false';
        }

        $setting['itemsTablet'] =  explode(",",$setting['itemsTablet']);
        if(count($setting['itemsTablet'])<2 || count($setting['itemsTablet'])>3){
            $data['itemsTablet'] = ($setting['itemsTablet'][0] && $setting['itemsTablet'][0]>0)?'768,'.$setting['itemsTablet'][0]:'false';
        }else{
            $data['itemsTablet'] = ($setting['itemsTablet'][1] && $setting['itemsTablet'][1]>0)?$setting['itemsTablet'][0].','.$setting['itemsTablet'][1]:'false';
        }


        $setting['itemsMobile'] =  explode(",",$setting['itemsMobile']);
        if(count($setting['itemsMobile'])<2 || count($setting['itemsMobile'])>3){
            $data['itemsMobile'] = ($setting['itemsMobile'][0] && $setting['itemsMobile'][0]>0)?'479,'.$setting['itemsMobile'][0]:'false';
        }else{
            $data['itemsMobile'] = ($setting['itemsMobile'][1] && $setting['itemsMobile'][1]>0)?$setting['itemsMobile'][0].','.$setting['itemsMobile'][1]:'false';
        }


        $data['show_navigation'] 	    = $setting['show_navigation'];
        $data['show_pagination']      = $setting['show_pagination'];

        $data['show_add_to_cart'] = $setting['show_add_to_cart'];
        $data['show_price'] 	    = $setting['show_price'];
        $data['show_wishlist'] 	= $setting['show_wishlist'];
        $data['show_compare'] 	= $setting['show_compare'];
        $data['show_rating']     = $setting['show_rating'];


		$cat_id 	= $setting['cat_id'];
		$plimited 	= $setting['plimited']?$setting['plimited']:3;

		// products
		$this->load->model('catalog/product');

		$this->load->model('tool/image');

        $data['button_cart'] = $this->language->get('button_cart');
        $data['button_wishlist'] = $this->language->get('button_wishlist');
        $data['button_compare'] = $this->language->get('button_compare');

        $data['products'] = array();

        $sort = $setting['sort_order'];
        $order = $setting['order_by'];
        $dataProducts = array(
            'filter_category_id' => $cat_id,
            'sort'               => $sort,
            'order'              => $order,
            'limit'              => $plimited
        );
        $description_limited = $setting['description_limited'];

        $results = $this->model_catalog_product->getProducts($dataProducts);

        foreach ($results as $result) {
            if ($result['image']) {
                $image = $this->model_tool_image->resize($result['image'], $this->config->get('config_image_product_width'), $this->config->get('config_image_product_height'));
            } else {
                $image = false;
            }

            if (($this->config->get('config_customer_price') && $this->customer->isLogged()) || !$this->config->get('config_customer_price')) {
                $price = $this->currency->format($this->tax->calculate($result['price'], $result['tax_class_id'], $this->config->get('config_tax')));
            } else {
                $price = false;
            }

            if ((float)$result['special']) {
                $special = $this->currency->format($this->tax->calculate($result['special'], $result['tax_class_id'], $this->config->get('config_tax')));
            } else {
                $special = false;
            }

            if ($this->config->get('config_tax')) {
                $tax = $this->currency->format((float)$result['special'] ? $result['special'] : $result['price']);
            } else {
                $tax = false;
            }

            if ($this->config->get('config_review_status')) {
                $rating = (int)$result['rating'];
            } else {
                $rating = false;
            }

            $description = $description_limited>0?utf8_substr(strip_tags(html_entity_decode($result['description'], ENT_QUOTES, 'UTF-8')), 0, $description_limited) . ' ...':'';
            $data['products'][] = array(
                'product_id'  => $result['product_id'],
                'thumb'       => $image,
                'name'        => $result['name'],
                'description' => $description,
                'price'       => $price,
                'special'     => $special,
                'tax'         => $tax,
                'rating'      => $result['rating'],
                'reviews'     => sprintf($this->language->get('text_reviews'), (int)$result['reviews']),
                'href'        => $this->url->link('product/product', 'path=' . $this->request->get['path'] . '&product_id=' . $result['product_id'])
            );
        }

        $data['module'] = $module++;

        if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/jamijoslider.tpl')) {
            return $this->load->view($this->config->get('config_template') . '/template/module/jamijoslider.tpl', $data);
        } else {
            return $this->load->view('default/template/module/jamijoslider.tpl', $data);
        }
	}
}
?>