<?php if($products): ?>
<div class="customNavigation">
    <a class="btn prev"><i class="fa fa-caret-left"></i></a>
    <a class="btn next"><i class="fa fa-caret-right"></i></a>
</div>
<div id="owl-demo" class="owl-carousel">
        <?php foreach ($products as $product) { ?>
        <div class="item">
        		<div class="actions">
        			<?php if ($product['thumb']) { ?>
	            <div class="image">
	            	<a href="<?php echo $product['href']; ?>">
									<img src="<?php echo $product['thumb']; ?>" title="<?php echo $product['name']; ?>" alt="<?php echo $product['name']; ?>" />
								</a>
							</div>
	            <?php } ?>
	            <?php if($show_add_to_cart) { ?>
	            <div class="cart">
	                <input type="button" value="<?php echo $button_cart; ?>" onclick="addToCart('<?php echo $product['product_id']; ?>');" class="button" />
	            </div>
	            <?php } ?>
	
	            <?php if($show_wishlist) { ?>
	            <div class="wishlist"><a onclick="addToWishList('<?php echo $product['product_id']; ?>');" title="<?php echo $button_wishlist; ?>"><i class="fa fa-heart"></i></a></div>
	            <?php } ?>
	
	            <?php if($show_compare) { ?>
	            <div class="compare"><a onclick="addToCompare('<?php echo $product['product_id']; ?>');" title="<?php echo $button_compare; ?>"><i class="fa fa-retweet"></i></a></div>
	            <?php } ?>
        		</div>
            
            <div class="name"><a href="<?php echo $product['href']; ?>"><?php echo $product['name']; ?></a></div>

            <div class="description"><?php echo $product['description']; ?></div>

            <?php if ($product['rating'] && $show_rating) { ?>
            <div class="rating"><img src="catalog/view/theme/bookshop/image/stars-<?php echo $product['rating']; ?>.png" alt="<?php echo $product['reviews']; ?>" /></div>
            <?php } ?>
            
            <?php if ($product['price'] && $show_price) { ?>
            <div class="price">
                <?php if (!$product['special']) { ?>
                <?php echo $product['price']; ?>
                <?php } else { ?>
                <span class="price-old"><?php echo $product['price']; ?></span> <span class="price-new"><?php echo $product['special']; ?></span>
                <?php } ?>
            </div>
            <?php } ?>
        </div>
        <?php };?>
</div>
<script type="text/javascript">
    (function( $ ){
        $(document).ready(function() {
            var owl = $("#owl-demo");
            owl.owlCarousel({
                items : <?php echo $items;?>, //10 items above 1000px browser width
                itemsDesktop : [<?php echo $itemsDesktop;?>], //5 items between 1000px and 901px
                itemsDesktopSmall : [<?php echo $itemsDesktopSmall;?>], // 3 items betweem 900px and 601px
                itemsTablet: [<?php echo $itemsTablet;?>], //2 items between 600 and 0;
                itemsMobile : [<?php echo $itemsMobile;?>], // itemsMobile disabled - inherit from itemsTablet option,
                autoHeight : false,
                addClassActive : true,
                scrollPerPage : true
                <?php if(!$show_pagination) echo ',pagination : false'?>
            }).find('.owl-wrapper').addClass('ja-product-grid');
            // Custom Navigation Events
            $(".customNavigation .next").click(function(){
                owl.trigger('owl.next');
            })
            $(".customNavigation .prev").click(function(){
                owl.trigger('owl.prev');
            })
            $(".customNavigation .play").click(function(){
                owl.trigger('owl.play',1000);
            });
            $(".customNavigation .stop").click(function(){
                owl.trigger('owl.stop');
            });
        });
    })(jQuery);
</script>
<?php endif;?>